Vinix· docs
API referenceCore APIVoice CapabilitiesMedia

List Medias Prompts

Sandbox is coming soon

Today, requests on this page run against your live account. A hosted sandbox with simulated PSTN is on the roadmap — until then, use a non-production user or callflow when experimenting.

Details
GET
/accounts/{account_id}/media/prompts

Authorization

AuthToken
X-Auth-Token<token>

Obtain via PUT /v2/user_auth (user credentials) or PUT /v2/api_auth (account API key). See Authentication.

In: header

Path Parameters

account_id*string

Vinix account identifier.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/accounts/string/media/prompts"
{
  "data": {
    "content_length": 1,
    "content_type": "audio/mp3",
    "description": "string",
    "language": "en-us",
    "media_source": "recording",
    "name": "string",
    "prompt_id": "string",
    "source_id": "stringstringstringstringstringst",
    "source_type": "string",
    "streamable": true,
    "tts": {}
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}